using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Net;

public partial class Admin_NeiRong_WenZhang_ShangChuanTuPian : System.Web.UI.Page
{
    private 访问 访问;
    protected String 执行代码;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("上传图片", "网站后台", "上传图片", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();

        if (this.IsPostBack)
        {
            访问.验证权限("10");
            String 返回文件名 = "";
            if (HuoQuLeiXing_T.Checked)
            {
                for (int i = 0; i < Request.Files.Count; i++)
                {
                    HttpPostedFile HF = Request.Files[i];
                    String 文件名 = 常用.随机字符(30);
                    String 后缀 = Path.GetExtension(Request.Files[i].FileName).Substring(1);
                    if (!常用.是否允许后缀("gif,jpg,jpe,jpeg,png,tif,tiff,bmp", 后缀))
                        throw new Exception("文件非图片格式");
                    HF.SaveAs(Server.MapPath("~/Temp/" + 文件名 + "." + 后缀));
                    if (Request.Form["submit"] == "上传(增加水印)")
                        new 水印().增加水印(Server.MapPath("~/Temp/" + 文件名 + "." + 后缀));
                    返回文件名 += (返回文件名 == "" ? "" : ",") + "->" + 文件名 + "." + 后缀;
                }
            }
            else
            {
                int i = 1;
                while (Request.Form["d" + i] != null)
                {
                    String 原文件名 = Request.Form["d" + i];
                    String 文件名 = 常用.随机字符(30);
                    String 后缀 = Path.GetExtension(原文件名).Substring(1);

                    if (!常用.是否允许后缀("gif,jpg,jpe,jpeg,png,tif,tiff,bmp", 后缀))
                        throw new Exception("该类型文件不允许上传");

                    常用.下载文件(原文件名, Server.MapPath("~/Temp/" + 文件名 + "." + 后缀));
                    if (Request.Form["submit"] == "上传(增加水印)")
                        new 水印().增加水印(Server.MapPath("~/Temp/" + 文件名 + "." + 后缀));
                    返回文件名 += (返回文件名 == "" ? "" : ",") + "->" + 文件名 + "." + 后缀;
                    i++;
                }
            }

            执行代码 = "opener.SheZhiTuPian('" + 返回文件名.Replace("'", "\\'") + "');window.close();";
        }
    }
}
